> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get knowledge base files



## OpenAPI

````yaml get /api/v1/knowledge-base/files
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/knowledge-base/files:
    get:
      tags:
        - Knowledge Base
      summary: Get knowledge base files
      responses:
        '200':
          description: List of knowledge base files retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  files:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        fileName:
                          type: string
                        status:
                          type: string
                          enum:
                            - PENDING
                            - UPLOADED
                            - INGESTED
                            - FAILED
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                        collectionIds:
                          type: array
                          items:
                            type: string
                        prompt:
                          type: string
                          nullable: true
                        size:
                          type: number
                          nullable: true
                        url:
                          type: string
                          nullable: true
                      required:
                        - id
                        - fileName
                        - status
                        - createdAt
                        - updatedAt
                        - collectionIds
                required:
                  - files
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````